Jump to content


Photo

OpenPli in Magicbox MG4 HD


  • This topic is locked This topic is locked
11 replies to this topic

#1 gunner41

  • Member
  • 10 posts

0
Neutral

Posted 5 March 2017 - 21:52

Hello everybody!

 

I've already posted this topic in the German section but I thought I will maybe find more answers in this section. 

 

Right now I'm using the Box "Magicbox MG4 HD" which I bought around 1,5 years ago. Since then I'm using the first OpenPLi Image on it but I would really like to update it or flash it completely. Unfortunately I didn't find any Images for this Box so I wanted to ask here, if I can still use one of this? 

 

In the Webinterface the Box calls "Vu+ Ultimo" - so is it possible to take an Image of it and flash it to this Box? I really don't want to destroy my Box. Any experiences? If yes, let me know please. Would be so thankful!

 

Thanks in advance, gunner41



Re: OpenPli in Magicbox MG4 HD #2 WanWizard

  • Forum Moderator
    PLi® Core member
  • 45,221 posts

+730
Excellent

Posted 5 March 2017 - 22:01

There is no OpenPLi for a "Magicboxx MG4 HD". I wouldn't install any of our images, the result will be unpredictable at best.


Currently in use: VU+Duo 4K (2xFBC S2), VU+Zero, Amiko Viper 2TC, Zgemma H3.2TC, Zgemma H6

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 


Re: OpenPli in Magicbox MG4 HD #3 gunner41

  • Member
  • 10 posts

0
Neutral

Posted 5 March 2017 - 22:09

Okay, its just strange somehow because my Magicbox is running with Openpli 4.0 with an older version right now. Just dont know how to find a new Image to update it



Re: OpenPli in Magicbox MG4 HD #4 WanWizard

  • Forum Moderator
    PLi® Core member
  • 45,221 posts

+730
Excellent

Posted 5 March 2017 - 22:21

It is not running OpenPLi 4.

 

It is running some image that someone build from our sources, possibly ripped off our artwork (does it boot with an OpenPLi logo?), and illegally called it OpenPLi. We haven't made it.


Currently in use: VU+Duo 4K (2xFBC S2), VU+Zero, Amiko Viper 2TC, Zgemma H3.2TC, Zgemma H6

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 


Re: OpenPli in Magicbox MG4 HD #5 gunner41

  • Member
  • 10 posts

0
Neutral

Posted 5 March 2017 - 22:49

its booting with an OpenPLI Bootlogo, yes. 

 

Okay, thanks for your replies!



Re: OpenPli in Magicbox MG4 HD #6 Yumma

  • New Member
  • 4 posts

0
Neutral

Posted 4 January 2019 - 11:52

Good time!

Please help me! I used Magicbox MG4 HD but now crashed. I have enigma2 crash file: enigma2_crash.log

<?xml version="1.0" encoding="utf-8"?>
<openpli>
    <enigma2>
        <crashdate>Thu Jan  1 03:37:02 1970</crashdate>
        <compiledate>Jan  2 2014</compiledate>
        <contactemail>forum at www.openpli.org</contactemail>
        <!-- Please email this crashlog to above address -->
        <skin>PLi-HD/skin.xml</skin>
        <sourcedate>2014-01-01</sourcedate>
        <branch>(no branch)</branch>
        <rev>6f2e700</rev>
        <version>3.0.0</version>
    </enigma2>
    <image>
        <stbmodel>ini-1000de</stbmodel>
        <kernelversion>
            <![CDATA[
Linux www.youtube.com 3.12.1 #1 Tue Jul 8 06:08:14 CEST 2014 mips GNU/Linux
]]>
        </kernelversion>
        <kernelcmdline>ubi.mtd=0 root=ubi0:rootfs rootfstype=ubifs rw bmem=256M@512M ubi.mtd=rootfs rootfstype=ubifs root=ubi0:rootfs bmem=256M@512M bmem=16M console=ttyS0,115200n8</kernelcmdline>
        <nimsockets>NIM Socket 0:</nimsockets>
        <imageversion>
            <!-- No such file or directory -->
        </imageversion>
        <imageissue>
            <![CDATA[
openpli 3.0 %h

]]>
        </imageissue>
    </image>
    <crashlogs>
        <enigma2crashlog>
            <![CDATA[
+ (1) Background File Eraser
+ (5) Tuxtxt
+ (8) graphics acceleration manager
+ (9) GFBDC
10800k video mem
 - double buffering available!
3600kB available for acceleration surfaces.
resolution: 1280 x 720 x 32 (stride: 5120)
+ (9) gLCDDC
found OLED display!
lcd buffer 0x7d6b70 8448 bytes, stride 132
LCD resolution: 132 x 64 x 8 (stride: 132)
+ (9) Font Render Class
[FONT] initializing lib...
[FONT] loading fonts...
[FONT] Intializing font cache, using max. 4MB...
+ (10) gRC
RC thread created successfully
+ (15) eWindowStyleManager
+ (20) DVB-CI UI
+ (20) UHF Modulator
couldnt open /dev/rfmod0!!!!
+ (20) RC Input layer
+ (20) misc options
+ (20) AVSwitch Driver
couldnt open /dev/dbox/fp0 to monitor vcr scart slow blanking changed!
+ (21) input device driver
Input device "dreambox front panel" is a remotecontrol
Input device "dreambox advanced remote control (native)" is a mouse
Found 2 input devices.
+ (22) Hdmi CEC driver
eHdmiCEC: detected physical address change: 1000 --> FFFF
eHdmiCEC: send message 84 FF FF 03
+ (30) eActionMap
+ (35) CI Slots
scanning for common interfaces..
CI Slot 0 setSource(0)
eDVBCIInterfaces->setInputSource(0, 0)
eDVBCIInterfaces->setInputSource(1, 1)
done, found 1 common interface slots
+ (35) CA handler
+ (36) Stream server
+ (40) eServiceCenter
settings instance.
+ (41) eServiceFactoryDVD
+ (41) eServiceFactoryM2TS
+ (41) eServiceFactoryMP3
+ (41) eServiceFactoryFS
+ (41) eServiceFactoryDVB
reached rl 70
---- opening lame channel db
reading services (version 4)
loaded 0 channels/transponders and 0 services
scanning for frontends..
opening frontend 0
close frontend 0
found 1 adapter, 1 frontends(1 sim) and 5 demux, boxtype 3
RTC not ready... wait for transponder time
[EPGC] Initialized EPGCache (wait for setCacheFile call now)
Loading spinners...
[ePNG] couldn't open /usr/share/enigma2/skin_default/spinner/wait5.png
found 4 spinner!

setIoPrio best-effort level 3 ok
Failed to open /dev/dbox/fp0
[Harddisk] enumerating block devices...
Reading satellites.xml
main thread is non-idle! display spinner!
sec config cleared
setSlotInfo for dvb frontend 0 to slotid 0, descr DVB-S2 INTERNAL, need rotorworkaround No, enabled Yes, DVB-S2 Yes
slot: 0 configmode: simple
diseqcmode:  diseqc_a_b
sec config completed
loading bouquet... /etc/enigma2/bouquets.tv 1
loading bouquet... /etc/enigma2/userbouquet.favourites.tv 1
0 entries in Bouquet userbouquet.favourites.tv
1 entries in Bouquet bouquets.tv
loading bouquet... /etc/enigma2/bouquets.radio 1
loading bouquet... /etc/enigma2/userbouquet.favourites.radio 1
0 entries in Bouquet userbouquet.favourites.radio
1 entries in Bouquet bouquets.radio
[FONT] adding font /usr/share/fonts/nmsbd.ttf...OK (Regular)
[FONT] adding font /usr/share/fonts/andale.ttf...OK (Fixed)
[FONT] adding font /usr/share/fonts/tuxtxt.ttf...OK (Console)
[FONT] adding font /usr/share/fonts/ae_AlMateen.ttf...OK (Replacement)
[SKIN] loading include: /usr/share/enigma2/PLi-HD/skin_templates.xml
[SKIN] loading include: /usr/share/enigma2/PLi-HD/skin_plugins.xml
[FONT] adding font /usr/share/fonts/nmsbd.ttf...OK (Regular)
[FONT] adding font /usr/share/fonts/lcd.ttf...OK (LCD)
[FONT] adding font /usr/share/fonts/tuxtxt.ttf...OK (Console)
[FONT] adding font /usr/share/fonts/andale.ttf...OK (Fixed)
[FONT] adding font /usr/share/fonts/valis_enigma.ttf...OK (Subs)
[iInputDevices] getInputDevices  <ERROR: ioctl(EVIOCGNAME): [Errno 25] Inappropriate ioctl for device >
Unknown device type: dreambox front panel
[iInputDevices] getInputDevices  <ERROR: ioctl(EVIOCGNAME): [Errno 25] Inappropriate ioctl for device >
Activating keymap: Default (US)
[ePopen] command: loadkmap < /usr/share/keymaps/default.kmap
Activating language English
--> setting scaler_sharpness to: 0000000D
couldn't open /proc/stb/misc/12V_output
[ePopen] command: ip -o addr show dev eth0
[ePopen] command: ip -o addr show dev wlan0
setLCDBrightness 25
setLCDBrightness 127
FIXME: request for unknown slot
FIXME: request for unknown slot
FIXME: request for unknown slot
[SoftcamSetup] fallback to default translation for Softcam setup
[SoftcamSetup] fallback to default translation for Lets you configure your softcams
[AutoBackup] fallback to default translation for Automatic settings backup
Plugin  Extensions/WebInterface failed to load: No module named plugin
Plugin probably removed, but not cleanly in /usr/lib/enigma2/python/Plugins/Extensions/WebInterface
[AudioSync] fallback to default translation for  Audio Sync Setup
[AudioSync] fallback to default translation for  Setup for the Audio Sync Plugin
[AudioSync] fallback to default translation for  Audio Sync
[AudioSync] fallback to default translation for  sets the Audio Delay (LipSync)
[NetworkBrowser] fallback to default translation for NetworkBrowser
[NetworkBrowser] fallback to default translation for Search for network shares
[NetworkBrowser] fallback to default translation for MountManager
[NetworkBrowser] fallback to default translation for Manage network shares
[NetworkBrowser] fallback to default translation for Mount again
[NetworkBrowser] fallback to default translation for Attempt to mount shares again
getModeList for port DVI-PC
remove DVI-PC because of not existing modes
getModeList for port YPbPr
getModeList for port Scart
getModeList for port DVI
hotplug on dvi
-> setting aspect, policy, policy2, wss 16:9 panscan letterbox auto
-> setting aspect, policy, policy2, wss 16:9 panscan letterbox auto
-> setting aspect, policy, policy2, wss 16:9 panscan letterbox auto
-> setting aspect, policy, policy2, wss 16:9 panscan letterbox auto
setMode - port: DVI mode: 720p rate: multi
-> setting aspect, policy, policy2, wss 16:9 panscan letterbox auto
starting hotplug handler
[EPGC] setCacheFile read/write epg data from/to '/hdd/epg.dat'
Reading  ['startwizard.xml']
getStepWithID: start
result: 0
('en_EN', ('English', 'en', 'EN'))
[Skin] SKIN ERROR in screen 'StartWizard' widget 'panel': {PLi-HD/skin.xml}: Failed to create skincontext (top,8%,*,None) in Context (128,0)+(1060,720) : unsupported operand type(s) for -=: 'int' and 'NoneType'. Please contact the skin's author!
[Skin] SKIN ERROR in screen 'StartWizard' widget 'panel': {PLi-HD/skin.xml}: Failed to create skincontext (bottom,10%,*,None) in Context (128,0)+(1060,720) : unsupported operand type(s) for -: 'int' and 'NoneType'. Please contact the skin's author!
warning, skin is missing element wizard in <class 'Screens.StartWizard.StartWizard'>
warning, skin is missing element stepslider in <class 'Screens.StartWizard.StartWizard'>
WizardCreateSummary
Updating values in step 1
wizard step: {'code': u'self.clearSelectedKeys()\nself.selectKey("OK")', 'text': 'Welcome.\n\nThis start wizard will guide you through the basic setup of your receiver.\nPress the OK button on your remote control to move to the next step.', 'id': 'start', 'condition': '', 'timeoutaction': 'nextpage', 'nextstep': 'introduction', 'code_async': '', 'codeafter_async': '', 'timeoutstep': '', 'list': [], 'timeout': None, 'codeafter': '', 'config': {'screen': None, 'args': None, 'type': ''}}
wizard text Welcome.

This start wizard will guide you through the basic setup of your receiver.
Press the OK button on your remote control to move to the next step.
code self.clearSelectedKeys()
self.selectKey("OK")
selectPic: arrowup
showing list, 1
self.list: <Components.Sources.List.List object at 0x14b4230>
self.list: <Components.Sources.List.List object at 0x14b4230>
setZPosition
showing config
setValue 55
Setvolume: 100 100 (raw)
Setvolume: 0 0 (-1db)
Setvolume: 55 55 (raw)
Setvolume: 29 29 (-1db)
child has terminated
pipes closed
child has terminated
pipes closed
[ePopen] command: route -n | grep  eth0
poll: unhandled POLLERR/HUP/NVAL for fd 31(16)
child has terminated
pipes closed
[ePopen] command: route -n | grep  wlan0
poll: unhandled POLLERR/HUP/NVAL for fd 35(16)
poll: unhandled POLLERR/HUP/NVAL for fd 38(16)
child has terminated
pipes closed
0.0.0.0
192.168
poll: unhandled POLLERR/HUP/NVAL for fd 31(16)
child has terminated
pipes closed
nameservers: [[8, 8, 8, 8], [192, 168, 0, 1]]
read configured interface: {'lo': {'dhcp': False}, 'wlan0': {'dhcp': False, 'netmask': [255, 255, 255, 0], 'gateway': [192, 168, 0, 1], 'address': [192, 168, 0, 100]}, 'eth0': {'dhcp': True}}
self.ifaces after loading: {'wlan0': {'preup': '\tpre-up wpa_supplicant -iwlan0 -c/etc/wpa_supplicant.wlan0.conf -B -dd -Dwext || true\n', 'predown': '\tpre-down wpa_cli -iwlan0 terminate || true\n', 'ip': [192, 168, 0, 100], 'up': False, 'mac': '00:e0:4c:7a:05:33', 'dhcp': False, 'netmask': [255, 255, 255, 0], 'gateway': [192, 168, 0, 1]}, 'eth0': {'preup': False, 'predown': False, 'ip': [192, 168, 0, 196], 'up': True, 'mac': '00:1e:a0:00:3b:c4', 'dhcp': True, 'bcast': [192, 168, 0, 255], 'netmask': [255, 255, 255, 0], 'gateway': [192, 168, 0, 1]}}
AT plugin not found
ER plugin not found
[OpenWebif] loading external plugins...
[OpenWebif] no plugins to load
[OpenWebif] started on 80
Traceback (most recent call last):
  File "/usr/lib/enigma2/python/Tools/BoundFunction.py", line 9, in __call__
  File "/usr/lib/enigma2/python/Components/Console.py", line 56, in finishedCB
  File "/usr/lib/enigma2/python/Components/Network.py", line 131, in routeFinished
  File "/usr/lib/enigma2/python/Components/Network.py", line 226, in loadNetworkConfig
  File "/usr/lib/enigma2/python/Components/Network.py", line 682, in msgPlugins
  File "/usr/lib/enigma2/python/Plugins/Extensions/OpenWebif/plugin.py", line 117, in IfUpIfDown
    HttpdStart(global_session)
  File "/usr/lib/enigma2/python/Plugins/Extensions/OpenWebif/httpserver.py", line 136, in HttpdStart
    context = ssl.DefaultOpenSSLContextFactory(KEY_FILE, CERT_FILE)
  File "/usr/lib/python2.7/site-packages/twisted/internet/ssl.py", line 68, in __init__
  File "/usr/lib/python2.7/site-packages/twisted/internet/ssl.py", line 77, in cacheContext
OpenSSL.SSL.Error: [('PEM routines', 'PEM_read_bio', 'no start line'), ('SSL routines', 'SSL_CTX_use_certificate_file', 'PEM lib')]
(PyObject_CallObject(<Tools.BoundFunction.boundFunction instance at 0x14cc698>,(1,)) failed)
getResolvedKey config.plugins.crashlogautosubmit.sendAnonCrashlog failed !! (Typo??)
getResolvedKey config.plugins.crashlogautosubmit.addNetwork failed !! (Typo??)
getResolvedKey config.plugins.crashlogautosubmit.addWlan failed !! (Typo??)
]]>
        </enigma2crashlog>
    </crashlogs>
</openpli>

What I need do for repair my receiver. Many thanks



Re: OpenPli in Magicbox MG4 HD #7 WanWizard

  • Forum Moderator
    PLi® Core member
  • 45,221 posts

+730
Excellent

Posted 4 January 2019 - 15:43

Two answers:

  • We don't and never did make software for this receiver, so we can't help.
  • You seem to be running an antique illegal copy of OpenPLi 3.0, which has been end of live for about 4 years.

Currently in use: VU+Duo 4K (2xFBC S2), VU+Zero, Amiko Viper 2TC, Zgemma H3.2TC, Zgemma H6

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 


Re: OpenPli in Magicbox MG4 HD #8 mrvica

  • Senior Member
  • 629 posts

+35
Good

Posted 4 January 2019 - 18:23

it is an ini-1000 box

http://www.herobox.n...mages/MAGICBOX/



Re: OpenPli in Magicbox MG4 HD #9 WanWizard

  • Forum Moderator
    PLi® Core member
  • 45,221 posts

+730
Excellent

Posted 4 January 2019 - 18:41

I know, but that doesn't changes the answer.


Currently in use: VU+Duo 4K (2xFBC S2), VU+Zero, Amiko Viper 2TC, Zgemma H3.2TC, Zgemma H6

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 


Re: OpenPli in Magicbox MG4 HD #10 Yumma

  • New Member
  • 4 posts

0
Neutral

Posted 5 January 2019 - 00:02

Good time!

Thanks to everyone who answered. The receiver worked very well until I did the update. After the update, the receiver starts and writes on TV that there are no plug-ins. Maybe you can somehow fix the damage as the receiver from the flash drive is not updated. The receiver was prioritized on ebay online store.



Re: OpenPli in Magicbox MG4 HD #11 Yumma

  • New Member
  • 4 posts

0
Neutral

Posted 5 January 2019 - 04:56

Thank you Mrvica for the submitted files. Please tell me which folder to insert them? I went telnet to the receiver and can upload files but I do not know where. thank



Re: OpenPli in Magicbox MG4 HD #12 Pr2

  • PLi® Contributor
  • 3,220 posts

+140
Excellent

Posted 5 January 2019 - 12:10

We don't provide support for your box, you need to ask your question to a forum that support it.


NO SUPPORT by PM, it is a forum make your question public so everybody can benefit from the question/answer.
If you think that my answer helps you, you can press the up arrow in bottom right of the answer.

Wanna help with OpenPLi Translation? Please read our Wiki Information for translators

Sat: Hotbird 13.0E, Astra 19.2E, Eutelsat5A 5.0W
VU+ Solo 4K: 2*DVB-S2 + 2*DVB-C/T/T2 (used in DVB-C)
Edision OS Mio 4K: 1*DVB-S2X + 1*DVB-C/T/T2
Octagon SF4008 / Amiko Viper Combo / Zgemma H7C




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users